<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.manillaOximetria.home.createOrEditLabel"
          data-cy="OximetriaCreateUpdateHeading"
          v-text="$t('gatewayApp.manillaOximetria.home.createOrEditLabel')"
        >
          Create or edit a Oximetria
        </h2>
        <div>
          <div class="form-group" v-if="oximetria.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="oximetria.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaOximetria.oximetria')" for="oximetria-oximetria"
              >Oximetria</label
            >
            <input
              type="number"
              class="form-control"
              name="oximetria"
              id="oximetria-oximetria"
              data-cy="oximetria"
              :class="{ valid: !$v.oximetria.oximetria.$invalid, invalid: $v.oximetria.oximetria.$invalid }"
              v-model.number="$v.oximetria.oximetria.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaOximetria.fechaRegistro')" for="oximetria-fechaRegistro"
              >Fecha Registro</label
            >
            <div class="d-flex">
              <input
                id="oximetria-fechaRegistro"
                data-cy="fechaRegistro"
                type="datetime-local"
                class="form-control"
                name="fechaRegistro"
                :class="{ valid: !$v.oximetria.fechaRegistro.$invalid, invalid: $v.oximetria.fechaRegistro.$invalid }"
                :value="convertDateTimeFromServer($v.oximetria.fechaRegistro.$model)"
                @change="updateInstantField('fechaRegistro', $event)"
              />
            </div>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaOximetria.user')" for="oximetria-user">User</label>
            <select class="form-control" id="oximetria-user" data-cy="user" name="user" v-model="oximetria.user">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="oximetria.user && userOption.id === oximetria.user.id ? oximetria.user : userOption"
                v-for="userOption in users"
                :key="userOption.id"
              >
                {{ userOption.login }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.oximetria.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./oximetria-update.component.ts"></script>
